=== modified file 'bzrlib/tests/test_btree_index.py'
--- bzrlib/tests/test_btree_index.py	2010-03-05 17:21:20 +0000
+++ bzrlib/tests/test_btree_index.py	2010-03-25 17:09:53 +0000
@@ -617,7 +617,10 @@
                                            reference_lists=ref_lists)
         builder.add_nodes(nodes)
         transport = self.get_transport('')
-        content = builder.finish().read()
+        # NamedTemporaryFile dies on builder.finish().read(). weird.
+        temp_file = builder.finish()
+        content = temp_file.read()
+        del temp_file
         size = len(content)
         transport.put_bytes('index', (' '*offset)+content)
         return btree_index.BTreeGraphIndex(transport, 'index', size=size,

